API index
curl --request GET \
--url https://api.ironflow.sh/v1 \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ironflow.sh/v1"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ironflow.sh/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ironflow.sh/v1",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ironflow.sh/v1"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ironflow.sh/v1")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ironflow.sh/v1")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "Ironflow API",
"about": "Hyperliquid market data from our own nodes: trades, liquidations, funding, open interest, candles, wallet analytics and SQL. No key needed to start.",
"endpoints": {
"GET /v1/liquidations/map": "where open positions would be liquidated, by price",
"GET /v1/trades": "every trade (fill) for a market or wallet"
},
"docs": "https://docs.ironflow.sh",
"openapi": "https://docs.ironflow.sh/openapi.yaml",
"status": "https://api.ironflow.sh/v1/status",
"mcp": "https://mcp.ironflow.sh/mcp",
"free_key": "https://ironflow.sh/key?utm_source=api_root",
"try": "https://api.ironflow.sh/v1/liquidations/summary",
"x402": "https://api.ironflow.sh/openapi.json"
}System
Ironflow API index
GET /v1 lists the main Ironflow Hyperliquid data endpoints with links to the docs, the OpenAPI spec, the MCP server and x402 discovery.
GET
/
v1
API index
curl --request GET \
--url https://api.ironflow.sh/v1 \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ironflow.sh/v1"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ironflow.sh/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ironflow.sh/v1",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ironflow.sh/v1"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ironflow.sh/v1")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ironflow.sh/v1")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "Ironflow API",
"about": "Hyperliquid market data from our own nodes: trades, liquidations, funding, open interest, candles, wallet analytics and SQL. No key needed to start.",
"endpoints": {
"GET /v1/liquidations/map": "where open positions would be liquidated, by price",
"GET /v1/trades": "every trade (fill) for a market or wallet"
},
"docs": "https://docs.ironflow.sh",
"openapi": "https://docs.ironflow.sh/openapi.yaml",
"status": "https://api.ironflow.sh/v1/status",
"mcp": "https://mcp.ironflow.sh/mcp",
"free_key": "https://ironflow.sh/key?utm_source=api_root",
"try": "https://api.ironflow.sh/v1/liquidations/summary",
"x402": "https://api.ironflow.sh/openapi.json"
}Authorizations
Ironflow API key, format if_xxxx. Free keys at https://ironflow.sh/key. Optional on read endpoints.